#include <bits/stdc++.h>

using namespace std;
int main()
{
    string s,t;
    getline(cin,t);
    getline(cin,s);
    int m=s.size(),n=t.size(),mini,pos[2],j=0,a[m];
    if(m==1){
        mini=0;
        for(int i=0;i<n;i++) if(t[i]==s[0])mini++,t[i]='*';
        cout<<mini<<'\n';
        cout<<t<<'\n';
    }
    else{
    mini=n;
    for(int i=0;i<m;i++) a[i]=0;
    for (int i=0;i<n&&j<m;i++)
         if(s[j]==t[i]){
            int p=i+1,res=1;
            while(t[p]!=s[j+1]) {
                if(t[p]==s[j])res++;
                p++;
            }
            a[j]+=res;
            if(a[j]<=mini)mini=a[j],pos[0]=i,pos[1]=p;
            j++,i=p;
    }
    for(int i=pos[0];i<=pos[1];i++)if(t[i]==t[pos[1]])t[i]='*';
    cout << mini << '\n';
    cout << t << '\n';
    }
    return 0;
}